Skip to main content
Search Opportunities based on combinations of advanced filters. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-424216/7bf11bc9b94f80f
POST https://services.leadconnectorhq.com/opportunities/search

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

locationId
string
default:"i2SpAtBVHSVea1sL6oah"
required
Account Id
query
string
required
limit
number
required
page
number
required
searchAfter
string[]
required
additionalDetails
object
required

Respuestas

opportunities
object[]
total
number
default:"100"
required
aggregations
object
{
  "opportunities": [
    {
      "id": "yWQobCRIhRguQtD2llvk",
      "name": "testing",
      "monetaryValue": 500,
      "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
      "pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
      "assignedTo": "zT46WSCPbudrq4zhWMk6",
      "status": "open",
      "source": "",
      "lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
      "lastStageChangeAt": "2021-08-03T04:55:17.355Z",
      "lastActionDate": "2021-08-03T04:55:17.355Z",
      "indexVersion": 1,
      "createdAt": "2021-08-03T04:55:17.355Z",
      "updatedAt": "2021-08-03T04:55:17.355Z",
      "contactId": "zT46WSCPbudrq4zhWMk6",
      "locationId": "zT46WSCPbudrq4zhW",
      "contact": {
        "id": "byMEV0NQinDhq8ZfiOi2",
        "name": "John Deo",
        "companyName": "Tesla Inc",
        "email": "john@deo.com",
        "phone": "+1202-555-0107",
        "tags": []
      },
      "notes": [
        []
      ],
      "tasks": [
        []
      ],
      "calendarEvents": [
        []
      ],
      "lostReasonId": "zT46WSCPbudrq4zhWMk6",
      "customFields": [
        {}
  // truncado: 10 lineas mas
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/opportunities/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "i2SpAtBVHSVea1sL6oah",
  "query": "string",
  "limit": 0,
  "page": 0,
  "searchAfter": [
    "string"
  ],
  "additionalDetails": {
    "notes": true,
    "tasks": true,
    "calendarEvents": true,
    "unReadConversations": true
  }
}'
const response = await fetch('https://services.leadconnectorhq.com/opportunities/search', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "i2SpAtBVHSVea1sL6oah", "query": "string", "limit": 0, "page": 0, "searchAfter": ["string"], "additionalDetails": {"notes": true, "tasks": true, "calendarEvents": true, "unReadConversations": true}}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/opportunities/search',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "i2SpAtBVHSVea1sL6oah", "query": "string", "limit": 0, "page": 0, "searchAfter": ["string"], "additionalDetails": {"notes": true, "tasks": true, "calendarEvents": true, "unReadConversations": true}},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/opportunities/search');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'i2SpAtBVHSVea1sL6oah', 'query': 'string', 'limit': 0, 'page': 0, 'searchAfter': ['string'], 'additionalDetails': {'notes': true, 'tasks': true, 'calendarEvents': true, 'unReadConversations': true}}),
]);
$data = json_decode(curl_exec($ch), true);